Package Details: python2-matplotlib 2.2.5-2

Git Clone URL: https://aur.archlinux.org/python2-matplotlib.git (read-only, click to copy)
Package Base: python2-matplotlib
Description: A python plotting library, making publication quality plots
Upstream URL: https://matplotlib.org
Licenses: custom
Submitter: dviktor
Maintainer: None
Last Packager: dviktor
Votes: 3
Popularity: 0.77
First Submitted: 2020-02-20 18:12
Last Updated: 2020-04-27 10:25

Dependencies (32)

Required by (145)

Sources (1)

Latest Comments

dviktor commented on 2020-04-27 10:25

@cameel thank you. Fixed

cameel commented on 2020-04-26 18:27

It looks like python2-backports.functools_lru_cache (from extra) should be a dependency. Without it import matplotlib.cbook fails:

$ python2
>>> import matplotlib.cbook
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/lib/python2.7/site-packages/matplotlib/__init__.py", line 133, in <module>
from matplotlib.rcsetup import defaultParams, validate_backend, cycler
File "/usr/lib/python2.7/site-packages/matplotlib/rcsetup.py", line 31, in <module>
from matplotlib.fontconfig_pattern import parse_fontconfig_pattern
File "/usr/lib/python2.7/site-packages/matplotlib/fontconfig_pattern.py", line 28, in <module>
from backports.functools_lru_cache import lru_cache
ImportError: No module named functools_lru_cache

This module is required by pyspread package from AUR. The application fails to start if it can't be imported.